PERTALIFE Bugs - Bug #3680

[HR-Time Data]perbaikan pada report attendance report dimana pada contoh employee 05740202
memiliki cuti besar dari tanggal 20 januari sampai 29 januari tetapi tanggal 27 januari sampai 29 itu
libur(public holiday) karena tanggal merah

06/20/2025 03:42 PM - Muhammad Bintar

Status: Closed Start date: 06/20/2025

Priority: High Due date: 06/25/2025

Assignee: Tri Rizqiaty % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

dear tim developer mohon support nya untuk perbaikan pada report attendance report dimana pada contoh employee 05740202
memiliki cuti besar dari tanggal 20 januari sampai 29 januari,
05740202 IDA FARIDAH 440 Cust Engag And Service DH ASO 03 January 2025 Normal 07:58 N 05
Attendance Recap 05740202 IDA FARIDAH 440 Cust Engag And Service DHASO 06 January 2025 | Mormal 07:59 1710 05
05740202 IDA FARIDAH 440 Cust Engag And Service DH ASO 07 January 2025 | Normal 07:51 17:39 05
Time Data
My Workplace HOME > TIME DAT,
Financial Accounting Employee Overview - 05740202 - IDA FARIDAH «@Q@D
Human Resource L2 Employee ID: 05740202 Company ID: PT. Pertalife Insurance
[P — Full Name: IDA FARIDAH Employee Office: Kantor Pusat
Employee Status: Active Organization: DH ASO
Business Intelligence Employee Type Permanent Position: DH ASO
ari Date ™ Date Absence Type  DelegateTo.  Absence Address  Absence Phone  Total Absence Taken  Notes
20/01/2025  29/01/2025 | CutiBesar l:l 5
& v Cuti Tahunan jakarta 123 1
10/10/2025  10/10/2023  CutiTahunan oK oK 1
10/08/2023  10/0B/2023  OutiTehunan Jit 123 1
27/07/2023  27/07/2023  CutiTahunan oK oK 1
14/06/2025  14/06/2023  CutiTahunan Jkt 123 1
28/04/2023  2B/04/2023  CutiTahunan 1
14/02/2023  17/02/2023  CutiTahunan 2
02/02/2025  03/02/2025  CutiTahunan 2
1B/01/2023  18/07/2023  CutiTahunan 1
edule 27 jar sampai 29 itu libur (public holiday. Displaying 1- 10 or21
MINOVAIS-SERVER\...- dbo.PHRPADD18 MINOVAIS-SERVER...dbo.PHRTMWSCAL = > RIIN[e]WNiSs 34l > PHRPADOZS MINOVAIS-SERVER...USERGENERALDATA MINOVAIS-SERVI
Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or...
Country PHRTMW...
3 WorkSchedul... PHRTMW...
Year PHRTMW...
DateSpecified PHRTMW...
DayType PHRTMW...
PublicHoliday PHRTMW...
CreateBy PHRTMW...
CreateDate PHRTMW...
ChangeBy PHRTMW...
ChangeDate PHRTMW...
=]
Country WorkSchedule...  Year DateSpecified DayType PublicHeliday CreateBy CreateDate ChangeBy ChangeDate
0001 NOVT 2025 20250125 OFF NULL minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250126 QFE MU minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250127 PHO1 MMM minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250128 PHO1 CMLE minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250129 PHO1 IMLK minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250130 WDY1 NULL minovais 2025013144119 minovais 2025013144119
0001 NOVT 2025 20250131 WDY1 NULL minovais 20250113144119  minovais 20250113144119
0001 NOVT 2025 20250201 OFF NULL minovais 20250113144119  minovais 20250113144119
0001 NOVT 2025 20250202 OFF NULL minovais 20250113144119  minovais 20250113144119

Mohon agar dapat dilakukan pengecekan dan penyesuaian pada sistem, agar tanggal merah tetap tercatat sebagai "libur" meskipun
berada dalam periode cuti.

Informasi Port aplikasi dan DB:
remote.minovais.com:61115
database
remote.minovais.com, 1452
pertalife prod

History

#1 - 06/20/2025 03:44 PM - Muhammad Bintar
- File clipboard-202506201543-v9xp4.png added
- File clipboard-202506201544-6yqy3.png added
- Description updated

#2 - 06/20/2025 04:03 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned
- Assignee changed from Kezia Pawitra Yulianti to Muhammad Bintar

- Priority changed from Normal to High

ini maksudnya jika ada periode cuti yang di dalam nya ada hari libur (PH01/PH02/OFF) jangan di munculkan di report sebagai cuti. seperti itu ya
definisinya?

Jadi keinginan nya di report tetep di tampilkan tanggal2 yg libur itu sbg public holiday atau sebaiknya tidak d munculkan saja d report? Pls
konfirmasinya dl, supaya sesuai dgn keinginan client sbim d fixing.

Tks
#3 - 06/25/2025 11:32 AM - Muhammad Bintar

- File clipboard-202506251132-rqu9r.png added
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

dear mbak yaya,
maksudnya itu di report ditampilkan informasi nya pada tanggal 27,28,29 itu sebagai hari 'libur' jika ada daytype PHO1,PH02,0FF
17/ 05740202 IDA FARIDAH 440 Cust Engag And Senice DH ASO 13 January 2025 [Normal 08:14 17:19 0.5
#4 - 06/25/2025 11:38 AM - Kezia Pawitra Yulianti
- Assignee changed from M Azid Wahyudi to Tri Rizqgiaty

oke jadi tetep d munculin datanya namun attendance type nya sebagai Libur ya
Tolong d bantu mbak Yoms

Tks

#5 - 06/25/2025 03:14 PM - Tri Rizqiaty

- File CRPTATTANDANCE_202506251429.sql added
- Status changed from Assigned to Developing

Fixing :

Execute SP terlampir

#6 - 06/25/2025 03:14 PM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar
#7 - 06/26/2025 10:22 AM - Muhammad Bintar
- File clipboard-202506261022-oeh44.png added
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

okeh sudah di deploy ke client
05740202 DA FARIDAH 440 Cust Engag And Service 03 January 2025 | Normal 07-58 1541

05740202 IDAFARIDAH 440 Cust Engag And Service 06 January 2025 | Normal 07:58 17:10
05740202 IDAFARIDAH 440 Cust Engag And Service 07 January 2025 | Normal 0751 1739
P — 05740202 1DA FARIDAH 440 Cusl Engag And Service 03 Jamuary 2025 | Normal s ===

W Emgicyes Administration 95740202 IDA FARIDAH 240 Cust Engag And Senvice 08 January 2025 | Normal 10:01 1847

05740202 IDA FARIDAH 440 Cust Engag And Service 10 January 2025 | Normal 0753 71

05740202 DA FARIDAH 440 Cust Engag And Service 13 January 2035 | Normal 0814 1719
05740202 IDAFARIDAH 440 Cust Engag And Service 14 January 2025 | Normal 0755 1712
15740202 IDAFARIDAH 440 Cust Engag And Senvice 15 January 2025 | Normal 08:12 1722

ot Time Data
05740202 IDA FARIDAH 440 Cust Engag And Service 16 January 2025 | Normal 0808 1354
05740202 IDAFARIDAH 440 Cusl Engag And Semvice 17 Jamuary 2025 | Narmal 0822 1721
Ounarats Absanca fucts 15740202 IDAFARIDAH 440 Cust Engag And Senvice 20 January 2025 | Cuti Besar

View Parsonal WS 15740202 IDAFARIDAH 440 Cust Engag And Service 21 January 2025 | Cuti Basar
Banerate Personal WS 05740202 IDA FARIDAH 440 Cust Engag And Service 22 January 2025 | Cuti Besar
05740202 IDA FARIDAH 440 Cusl Engag And Service 23 January 2025 | Cuti Besar
05740202 IDA FARIDAH 440 Cusl Engag And Senvice 24 Janusry 2025 | Culi Besar

05740202 IDA FARIDAH 440 Cust Engag And Service 27 January 2025

Overtime Cost Report 05740202 DA FARIDAH 440 Cust Engag And Semvice 28 January 2025

Overtine Recap 05740202 IDA FARIDAH 440 Cust Engag And Service 29 January 2025
Leave: 05740202 IDA FARIDAH 440 Cust Engag And Service 31 January 2025
